curl --request POST \
--url https://use.hoop.dev/api/serviceaccounts \
--header 'Content-Type: application/json' \
--data '
{
"subject": "bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW",
"groups": [
"engineering"
],
"name": "system-automation"
}
'import requests
url = "https://use.hoop.dev/api/serviceaccounts"
payload = {
"subject": "bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW",
"groups": ["engineering"],
"name": "system-automation"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
subject: 'bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW',
groups: ['engineering'],
name: 'system-automation'
})
};
fetch('https://use.hoop.dev/api/serviceaccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "active",
"subject": "bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW",
"groups": [
"engineering"
],
"id": "BF997324-5A27-4778-806A-41EE83598494",
"name": "system-automation",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Create Service Account
Create a service account that is associated with a identity provider client
Body
The request body resource
Inactive service account will not be able to access the api
active, inactive Subject is the external identifier that maps the user from the identity provider. This field is immutable after creation
"bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW"
The groups in which this service account belongs to
["engineering"]
The display name of this service account
"system-automation"
Response
Created
Inactive service account will not be able to access the api
active, inactive Subject is the external identifier that maps the user from the identity provider. This field is immutable after creation
"bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW"
The groups in which this service account belongs to
["engineering"]
The unique identifier of this resource
"BF997324-5A27-4778-806A-41EE83598494"
The display name of this service account
"system-automation"
Organization ID
Was this page helpful?